<!DOCTYPE html>
<html lang="en"
      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      xmlns:th="http://www.thymeleaf.org"
      xmlns:sec="http://www.thymeleaf.org/extras/spring-security"
      layout:decorate="~{layout}">
<head>
    <meta charset="UTF-8">
    <title>Piutang Mahasiswa</title>
</head>
<body>
<main layout:fragment="main" class="container-xxl bd-gutter mt-3 my-md-4 bd-layout">
    <div th:include="sidebar/sidebar_journal::sidebar_journal" th:remove="tag">
        sidebar
    </div>
    <main class="bd-main-xxl">
        <div class="row">
            <div class="col-md-12">
                <div class="card shadow-sm mb-3">
                    <div class="card-header">
                        <h5>Form Piutang Mahasiswa</h5>
                    </div>
                    <div class="card-body">
                        <div class="row mb-3">
                            <div class="col-md-12">
                                <div class="alert alert-success alert-dismissible fade show" role="alert" th:if="${success != null}">
                                    <strong th:text="${success}"></strong>
                                    <button type="button" class="btn-close" data-bs-dismiss="alert" aria-label="Close"></button>
                                </div>
                            </div>
                        </div>
                        <div class="form-group mb-3">
                            <form method="get">
                                <div class="form-group">
                                    <label>Nim</label>
                                    <input type="number" name="nim" id="nimInput" class="form-control" th:value="${nim}"/>
                                </div>
                                <div class="form-group">
                                    <button class="btn btn-info" style="margin-top: 5px;"><i class="fa fa-search"></i> Cari</button>
                                    <a th:href="@{/studentReceivables/list}" class="btn btn-danger">Batal</a>
                                </div>

                            </form>
                        </div>
                        <form th:action="@{/studentReceivables/save}" method="post" th:if="${mahasiswa != null}">
                            <div class="row mb-3">
                                <div class="col-md-6">
                                    <label>Nama Mahasiswa</label>
                                    <input type="text" readonly class="form-control" name="name" th:value="${mahasiswa.nama}">
                                    <input type="hidden" readonly class="form-control" name="nim" th:value="${mahasiswa.nim}">
                                </div>
                                <div class="col-md-6">
                                    <label>Prodi</label>
                                    <input type="text" readonly class="form-control" name="studyProgram" th:value="${mahasiswa.prodi}">
                                </div>
                            </div>
                            <div class="row mb-3">
                                <div class="col-md-4">
                                    <div class="form-group">
                                        <label>Strata</label>
                                        <input type="text" readonly class="form-control" name="levelStudent" th:value="${mahasiswa.jenjang}">
                                    </div>
                                </div>
                                <div class="col-md-4">
                                    <div class="form-group">
                                        <label>Program</label>
                                        <input type="text" readonly class="form-control" name="program" th:value="${mahasiswa.program}">
                                    </div>
                                </div>
                                <div class="col-md-4">
                                    <div class="form-group">
                                        <label>Semester</label>
                                        <input type="text" class="form-control" name="semester" th:value="${mahasiswa.semester + mahasiswa.semesterSekarang}">
                                    </div>
                                </div>
                            </div>
                            <div class="form-group mb-3">
                                <label>
                                    Jenis Tagihan
                                </label>
                                <select name="billType" id="" class="form-select" required>
                                    <option value="">-- Pilih Salah Satu --</option>
                                    <option th:each="data, row:${billType}"
                                            th:value="${data.id}"
                                            th:text="${data.name}"></option>
                                </select>
                            </div>
                            <div class="row mb-3">
                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label>Nominal Piutang</label>
                                        <input type="text" class="form-control" id="nominal" name="amountOfDebt" required>
                                    </div>
                                </div>
                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label>Sisa Piutang</label>
                                        <input type="text" class="form-control" id="sisa" name="remainingDebt" required>
                                    </div>
                                </div>
                            </div>
                            <div class="form-group">
                                <button class="btn btn-primary">Simpan</button>
                            </div>
                        </form>
                    </div>
                </div>

                <div class="card shadow-sm" th:if="${mahasiswa != null}">
                    <div class="card-header">
                        <h5>List Piutang Mahasiswa a.n <span th:text="${mahasiswa.nama}"></span></h5>
                    </div>
                    <div class="card-body">
                        <div class="row">
                            <div class="col-md-12">
                                <div class="table-responsive">
                                    <table class="table table-striped">
                                        <thead>
                                            <tr>
                                                <th>Jenis Tagihan</th>
                                                <th>Nominal Piutang</th>
                                                <th>Sisa Piutang</th>
                                                <th>Semester</th>
                                                <th width="5%" colspan="3"></th>
                                            </tr>
                                        </thead>
                                        <tboyd>
                                            <tr th:each="data, row:${listPiutang}">
                                                <td th:text="${data.billType.name}">Ukt</td>
                                                <td th:text="${#numbers.formatDecimal(data.amountOfDebt, 0, 'POINT', 2, 'COMMA')}">2.000.000</td>
                                                <td th:text="${#numbers.formatDecimal(data.remainingDebt, 0, 'POINT', 2, 'COMMA')}">2.000.000</td>
                                                <td th:text="${data.semester}"></td>
                                                <td>
                                                    <button class="btn btn-warning btn-sm">Detail</button>
                                                </td>
                                                <td>
                                                    <a th:href="@{/}" class="btn btn-success btn-sm">Jurnal</a>
                                                </td>
                                                <td>
                                                    <a th:href="@{/studentReceivables/delete(id = ${data.id})}" class="btn btn-danger btn-sm"
                                                       onclick="return confirm('Apakah Anda yakin ingin menghapus data ini ?');">Hapus</a>
                                                </td>
                                            </tr>
                                        </tboyd>
                                    </table>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>

                <div class="card shadow-sm" th:if="${mahasiswa == null}">
                    <div class="card-header">
                        <h5>List Piutang Mahasiswa</h5>
                    </div>
                    <div class="card-body">
                        <div class="row">
                            <div class="col-md-12">
                                <div class="table-responsive">
                                    <table class="table table-striped">
                                        <thead>
                                        <tr>
                                            <th>#</th>
                                            <th width="10%">Nim</th>
                                            <th width="30%">Nama</th>
                                            <th>Starta</th>
                                            <th width="25%">Prodi</th>
                                            <th width="20%">Jumlah Piutang</th>
                                            <th width="20%">Sisa Piutang</th>
                                            <td colspan="3"></td>
                                        </tr>
                                        </thead>
                                        <tbody>
                                        <tr th:each="data, row:${listPiutang}">
                                            <td th:text="${(row.index + 1)}"></td>
                                            <td th:text="${data.nim}"></td>
                                            <td th:text="${data.name}"></td>
                                            <td th:text="${data.levelStudent}"></td>
                                            <td th:text="${data.studyProgram}"></td>
                                            <td th:text="${#numbers.formatDecimal(data.amountOfDebt, 0, 'POINT', 2, 'COMMA')}">2.000.000</td>
                                            <td th:text="${#numbers.formatDecimal(data.remainingDebt, 0, 'POINT', 2, 'COMMA')}">2.000.000</td>
                                            <td>
                                                <button class="btn btn-warning btn-sm">Detail</button>
                                            </td>
                                            <td>
                                                <a th:href="@{/}" class="btn btn-success btn-sm">Jurnal</a>
                                            </td>
                                            <td>
                                                <a th:href="@{/studentReceivables/delete(id = ${data.id})}" class="btn btn-danger btn-sm"
                                                   onclick="return confirm('Apakah Anda yakin ingin menghapus data ini ?');">Hapus</a>
                                            </td>                                        </tr>
                                        </tbody>
                                    </table>
                                    <nav aria-label="Page navigation example">
                                        <ul class="pagination justify-content-center" sd:pagination="full">
                                            <li class="page-item disabled">
                                                <a class="page-link" href="#" tabindex="-1">Previous</a>
                                            </li>
                                            <li class="page-item"><a class="page-link" href="#">1</a></li>
                                            <li class="page-item"><a class="page-link" href="#">2</a></li>
                                            <li class="page-item"><a class="page-link" href="#">3</a></li>
                                            <li class="page-item">
                                                <a class="page-link" href="#">Next</a>
                                            </li>
                                        </ul>
                                    </nav>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </main>
</main>
<div layout:fragment="footer" class="script">
    <script>
        document.getElementById('nominal').addEventListener('input', function (e) {
            let value = e.target.value;

            // Menghapus karakter yang bukan angka atau koma
            value = value.replace(/[^\d,]/g, '');

            // Jika ada lebih dari satu koma, ambil hanya bagian sebelum koma pertama
            const parts = value.split(',');
            value = parts[0].replace(/\B(?=(\d{3})+(?!\d))/g, '.');
            if (parts.length > 1) {
                value += ',' + parts[1];
            }

            // Mengupdate nilai input
            e.target.value = value;
        });
        document.getElementById('sisa').addEventListener('input', function (e) {
            let value = e.target.value;

            // Menghapus karakter yang bukan angka atau koma
            value = value.replace(/[^\d,]/g, '');

            // Jika ada lebih dari satu koma, ambil hanya bagian sebelum koma pertama
            const parts = value.split(',');
            value = parts[0].replace(/\B(?=(\d{3})+(?!\d))/g, '.');
            if (parts.length > 1) {
                value += ',' + parts[1];
            }

            // Mengupdate nilai input
            e.target.value = value;
        });

        $('#select').select2({
            theme: 'bootstrap-5',
            placeholder: '- Select Account -'
        });
    </script>
</div><div layout:fragment="footer" class="script">
    <script>
        document.getElementById('numberInput').addEventListener('input', function (e) {
            let value = e.target.value;

            // Menghapus karakter yang bukan angka atau koma
            value = value.replace(/[^\d,]/g, '');

            // Jika ada lebih dari satu koma, ambil hanya bagian sebelum koma pertama
            const parts = value.split(',');
            value = parts[0].replace(/\B(?=(\d{3})+(?!\d))/g, '.');
            if (parts.length > 1) {
                value += ',' + parts[1];
            }

            // Mengupdate nilai input
            e.target.value = value;
        });

        $('#select').select2({
            theme: 'bootstrap-5',
            placeholder: '- Select Account -'
        });
    </script>
</div>
</body>
</html>